# $Revision: 1.7 $, $Date: 2004/10/04 23:50:59 $
%define		_name cmt
Summary:	A collection of LADSPA plugins from Computer Music Toolkit
Summary(pl):	Kolekcja wtyczek LADSPA z projektu Computer Music Toolkit
Name:		ladspa-cmt-plugins
Version:	1.15
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://www.ladspa.org/download/%{_name}_src_%{version}.tgz
# Source0-md5:	aa2f0609aca8b698625d86170c426e2c
Patch0:		%{name}-makefile.patch
URL:		http://www.ladspa.org/
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Computer Music Toolkit (CMT) is a collection of LADSPA plugins for
use with software synthesis and recording packages on Linux.

%description -l pl
Computer Music Toolkit jest kolekcj wtyczek LADSPA do uytku z
syntezatorami programowymi i programami nagrywajcymi dwik pod
Linuksem.

%prep
%setup -q -n %{_name}
%patch0 -p1

%build
%{__make} -C src \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

%{__make} install -C src \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html
%attr(755,root,root) %{_libdir}/ladspa/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladspa-cmt-plugins.spec,v $
Revision 1.7  2004/10/04 23:50:59  havner
- fix build on amd64

Revision 1.6  2004/10/04 23:48:36  havner
- wrr

Revision 1.5  2004/10/04 23:46:07  havner
- fix amd64 build

Revision 1.4  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.3  2003/08/04 19:05:48  qboosh
- cleanups, BR: libstdc++-devel, R: ladspa-common

Revision 1.2  2003/06/19 21:36:21  freetz
- fixed descriptions, pointed by Jacek Konieczny

Revision 1.1  2003/06/19 15:36:48  freetz
- initial release
